import request2 from '@/utils/request2'

export const musicGroupPaymentCalenderQueryPage = data => request2({
  url: '/api-web/musicGroupPaymentCalender/queryPage',
  data: {},
  params: data,
  requestType: 'form'
})

export const musicGroupPaymentCalenderAdd = data => request2({
  url: '/api-web/musicGroupPaymentCalender/add',
  data,
  method: 'post',
})

export const musicGroupPaymentCalenderView = data => request2({
  url: '/api-web/musicGroupPaymentCalender/auditListDetail',
  data: {},
  params: data,
  method: 'get',
})

export const getMusicGroupStu = data => request2({
  url: '/api-web/studentRegistration/getMusicGroupStu',
  data: {},
  params: data,
  method: 'get',
})

export const musicGroupPaymentCalenderDetailBatchAdd = data => request2({
  url: '/api-web/musicGroupPaymentCalenderDetail/batchAdd',
  data: data,
  method: 'post',
})

// musicGroupPaymentCalender/update
export const musicGroupPaymentCalenderDetailBatchUpdate = data => request2({
  url: '/api-web/musicGroupPaymentCalender/update',
  data: data,
  method: 'post',
})

// musicGroupPaymentCalender/update
export const musicGroupPaymentCalenderDetailDel = data => request2({
  url: '/api-web/musicGroupPaymentCalender/del',
  params: data,
  method: 'post',
})

// 删除批次
export const musicGroupPaymentCalenderDelByBatchNo = data => request2({
  url: '/api-web/musicGroupPaymentCalender/delByBatchNo',
  params: data,
  method: 'post',
})

export const queryByMusicGroupOrganizationCourseSettingsId = data => request2({
  url: '/api-web/musicGroupOrganizationCourseSettingsDetail/queryByMusicGroupOrganizationCourseSettingsId',
  data: {},
  params: data,
  method: 'get'
})

export const makesureSchoolePaid = data => request2({
  url: '/api-web/musicGroupPaymentCalender/makesureSchoolePaid',
  data,
  method: 'post',
  requestType: 'form'
})

export const queryByOrganIdAndCourseType = data => request2({
  url: '/api-web/organizationCourseDurationSettings/queryByOrganId',
  data: {},
  params: data,
  method: 'get',
  requestType: 'form'
})
